Turn a single line of business within a program on or off (admin)
PUT
/broker/market-access/program-line
const url = 'https://api.hedgespecialty.com/api/v1/broker/market-access/program-line';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"program_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","lob_slug":"example","enabled":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.hedgespecialty.com/api/v1/broker/market-access/program-line \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "program_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "lob_slug": "example", "enabled": true }'Toggles one line the program lists (see the program’s lines in GET /broker/market-access). Turning off every line a program lists is equivalent to turning the program off.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
program_id
required
string format: uuid
lob_slug
required
Canonical line-of-business slug
string
enabled
required
boolean
Examplegenerated
{ "program_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "lob_slug": "example", "enabled": true}Responses
Section titled “Responses”The refreshed market-access table
Admin role required
Line not listed by this program